Page MenuHomePhabricator

[index-while-building] FileIndexRecord
ClosedPublic

Authored by jkorous on Feb 20 2019, 2:20 PM.

Diff Detail

Repository
rC Clang

Event Timeline

jkorous created this revision.Feb 20 2019, 2:20 PM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 20 2019, 2:20 PM
Eugene.Zelenko added inline comments.
clang/include/clang/Index/DeclOccurrence.h
1 ↗(On Diff #187675)

Missing C++ tag. See other headers as example.

5 ↗(On Diff #187675)

License should be updated.

42 ↗(On Diff #187675)

Missing comment with header guard.

clang/lib/Index/FileIndexRecord.cpp
45 ↗(On Diff #187675)

Type is not obvious, so auto should not be used.

clang/lib/Index/FileIndexRecord.h
1 ↗(On Diff #187675)

Missing C++ tag. See other headers as example.

5 ↗(On Diff #187675)

License should be updated.

58 ↗(On Diff #187675)

Missing comment with header guard.

jkorous updated this revision to Diff 187848.Feb 21 2019, 12:59 PM
jkorous marked 5 inline comments as done.
  • license
  • remove auto

Thanks Eugene.

Eugene.Zelenko added inline comments.Feb 21 2019, 1:17 PM
clang/include/clang/Index/DeclOccurrence.h
1 ↗(On Diff #187848)

Tag should contain *- C++ -*, so you could remove dashes at beginning and equal signs to fit.

jkorous updated this revision to Diff 187863.Feb 21 2019, 2:13 PM
jkorous marked 3 inline comments as done.

Done.

nathawes accepted this revision.Feb 27 2019, 1:38 PM

Looks good to me.

This revision is now accepted and ready to land.Feb 27 2019, 1:38 PM
This revision was automatically updated to reflect the committed changes.